Subject: Re: linux-next: vfs/fsnotify trees build warning

From: Christoph Hellwig <[email-masked]>
Date: Mon, 8 Feb 2010 14:36:58 -0500

On Mon, Feb 08, 2010 at 01:01:46PM -0500, Eric Paris wrote:
> On Sun, Jan 24, 2010 at 11:29 PM, Dave Chinner <[email-masked]> wrote:
> > On Mon, Jan 25, 2010 at 03:04:56PM +1100, Stephen Rothwell wrote:
> >> Hi Eric, Al,
> >>
> >> Today's linux-next build (x86_64 allmodconfig) produced these warnings:
> 
> I just switched fsnotify to use const unsigned char * so hopefully
> they will shut up tomorrow....

The xfs tree is also about to get a patch to turn off -Wpointer-sign
again.  If it was up to me we should turn it on for the whole build,
we'll just need good way to deal with static initializers and strlen,
but some simple wrappers might do it for those.